Index: code/trunk/src/orxonox/GraphicsEngine.cc
===================================================================
--- code/trunk/src/orxonox/GraphicsEngine.cc	(revision 1038)
+++ code/trunk/src/orxonox/GraphicsEngine.cc	(revision 1039)
@@ -32,4 +32,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "GraphicsEngine.h"
 
 #include <OgreRoot.h>
@@ -42,6 +43,4 @@
 #include "core/CoreIncludes.h"
 #include "core/Debug.h"
-
-#include "GraphicsEngine.h"
 
 
Index: code/trunk/src/orxonox/GraphicsEngine.h
===================================================================
--- code/trunk/src/orxonox/GraphicsEngine.h	(revision 1038)
+++ code/trunk/src/orxonox/GraphicsEngine.h	(revision 1039)
@@ -35,4 +35,6 @@
 #define _GraphicsEngine_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
@@ -40,5 +42,4 @@
 #include <OgreLog.h>
 
-#include "OrxonoxPrereqs.h"
 #include "core/OrxonoxClass.h"
 
Index: code/trunk/src/orxonox/Orxonox.cc
===================================================================
--- code/trunk/src/orxonox/Orxonox.cc	(revision 1038)
+++ code/trunk/src/orxonox/Orxonox.cc	(revision 1039)
@@ -33,4 +33,5 @@
 // Precompiled Headers
 #include "OrxonoxStableHeaders.h"
+#include "Orxonox.h"
 
 //****** STD *******
@@ -71,6 +72,4 @@
 #include "hud/HUD.h"
 //#include "objects/weapon/BulletManager.h"
-
-#include "Orxonox.h"
 
 // FIXME: is this really file scope?
Index: code/trunk/src/orxonox/Orxonox.h
===================================================================
--- code/trunk/src/orxonox/Orxonox.h	(revision 1038)
+++ code/trunk/src/orxonox/Orxonox.h	(revision 1039)
@@ -8,9 +8,9 @@
 #define _Orxonox_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
 #include <OgrePrerequisites.h>
-
-#include "OrxonoxPrereqs.h"
 #include "audio/AudioPrereqs.h"
 
Index: code/trunk/src/orxonox/hud/HUD.cc
===================================================================
--- code/trunk/src/orxonox/hud/HUD.cc	(revision 1038)
+++ code/trunk/src/orxonox/hud/HUD.cc	(revision 1039)
@@ -27,10 +27,9 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "HUD.h"
 
 #include <OgreOverlayManager.h>
 #include <OgreOverlayElement.h>
 #include <OgreStringConverter.h>
-
-#include "HUD.h"
 
 
Index: code/trunk/src/orxonox/hud/HUD.h
===================================================================
--- code/trunk/src/orxonox/hud/HUD.h	(revision 1038)
+++ code/trunk/src/orxonox/hud/HUD.h	(revision 1039)
@@ -29,9 +29,9 @@
 #define _HUD_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
 #include <OgrePrerequisites.h>
-
-#include "../OrxonoxPrereqs.h"
 
 
Index: code/trunk/src/orxonox/objects/Ambient.cc
===================================================================
--- code/trunk/src/orxonox/objects/Ambient.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/Ambient.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Ambient.h"
 
 #include <vector>
@@ -41,6 +42,4 @@
 #include "GraphicsEngine.h"
 #include "core/XMLPort.h"
-
-#include "Ambient.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/Ambient.h
===================================================================
--- code/trunk/src/orxonox/objects/Ambient.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/Ambient.h	(revision 1039)
@@ -1,6 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Ambient_H__
 #define _Ambient_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
 
 #include "core/BaseObject.h"
Index: code/trunk/src/orxonox/objects/Camera.cc
===================================================================
--- code/trunk/src/orxonox/objects/Camera.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/Camera.cc	(revision 1039)
@@ -1,4 +1,31 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
 
 #include "OrxonoxStableHeaders.h"
+#include "Camera.h"
 
 #include <string>
@@ -16,6 +43,4 @@
 #include "core/CoreIncludes.h"
 #include "GraphicsEngine.h"
-
-#include "Camera.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/Camera.h
===================================================================
--- code/trunk/src/orxonox/objects/Camera.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/Camera.h	(revision 1039)
@@ -1,6 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Camera_H__
 #define _Camera_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
 
 #include "core/BaseObject.h"
Index: code/trunk/src/orxonox/objects/Explosion.cc
===================================================================
--- code/trunk/src/orxonox/objects/Explosion.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/Explosion.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Explosion.h"
 
 #include <OgreParticleSystem.h>
@@ -36,6 +37,4 @@
 #include "GraphicsEngine.h"
 #include "particle/ParticleInterface.h"
-
-#include "Explosion.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/Explosion.h
===================================================================
--- code/trunk/src/orxonox/objects/Explosion.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/Explosion.h	(revision 1039)
@@ -1,6 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Explosion_H__
 #define _Explosion_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
 
 #include "WorldEntity.h"
Index: code/trunk/src/orxonox/objects/Model.cc
===================================================================
--- code/trunk/src/orxonox/objects/Model.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/Model.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Model.h"
 
 #include "util/tinyxml/tinyxml.h"
@@ -34,6 +35,4 @@
 #include "GraphicsEngine.h"
 #include "core/XMLPort.h"
-
-#include "Model.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/Model.h
===================================================================
--- code/trunk/src/orxonox/objects/Model.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/Model.h	(revision 1039)
@@ -1,6 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Model_H__
 #define _Model_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
 
 #include "WorldEntity.h"
Index: code/trunk/src/orxonox/objects/NPC.cc
===================================================================
--- code/trunk/src/orxonox/objects/NPC.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/NPC.cc	(revision 1039)
@@ -27,7 +27,7 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "NPC.h"
 
 #include "../core/CoreIncludes.h"
-#include "NPC.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/NPC.h
===================================================================
--- code/trunk/src/orxonox/objects/NPC.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/NPC.h	(revision 1039)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /**
   @file NPC.h
@@ -8,5 +35,5 @@
 #define _NPC_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
 
 #include "Model.h"
Index: code/trunk/src/orxonox/objects/Projectile.cc
===================================================================
--- code/trunk/src/orxonox/objects/Projectile.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/Projectile.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Projectile.h"
 
 #include "../core/CoreIncludes.h"
@@ -32,6 +33,4 @@
 #include "Explosion.h"
 #include "Model.h"
-
-#include "Projectile.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/Projectile.h
===================================================================
--- code/trunk/src/orxonox/objects/Projectile.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/Projectile.h	(revision 1039)
@@ -1,6 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Projectile_H__
 #define _Projectile_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
 
 #include "WorldEntity.h"
Index: code/trunk/src/orxonox/objects/Skybox.cc
===================================================================
--- code/trunk/src/orxonox/objects/Skybox.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/Skybox.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Skybox.h"
 
 #include <string>
@@ -39,6 +40,4 @@
 #include "core/Debug.h"
 #include "core/XMLPort.h"
-
-#include "Skybox.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/Skybox.h
===================================================================
--- code/trunk/src/orxonox/objects/Skybox.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/Skybox.h	(revision 1039)
@@ -2,5 +2,5 @@
 #define _Skybox_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
 
 #include "core/BaseObject.h"
Index: code/trunk/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/trunk/src/orxonox/objects/SpaceShip.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/SpaceShip.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "SpaceShip.h"
 
 #include <string>
@@ -46,6 +47,4 @@
 #include "Projectile.h"
 #include "core/XMLPort.h"
-
-#include "SpaceShip.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/SpaceShip.h
===================================================================
--- code/trunk/src/orxonox/objects/SpaceShip.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/SpaceShip.h	(revision 1039)
@@ -1,9 +1,36 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _SpaceShip_H__
 #define _SpaceShip_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
 #include <OIS/OISMouse.h>
-
-#include "../OrxonoxPrereqs.h"
 
 #include "Model.h"
Index: code/trunk/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/trunk/src/orxonox/objects/WorldEntity.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/WorldEntity.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "WorldEntity.h"
 
 #include <string>
@@ -36,5 +37,4 @@
 #include "core/CoreIncludes.h"
 #include "GraphicsEngine.h"
-#include "WorldEntity.h"
 #include "core/XMLPort.h"
 
Index: code/trunk/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/trunk/src/orxonox/objects/WorldEntity.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/WorldEntity.h	(revision 1039)
@@ -1,14 +1,40 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _WorldEntity_H__
 #define _WorldEntity_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <OgreSceneManager.h>
 #include <OgreSceneNode.h>
-
-#include "../OrxonoxPrereqs.h"
 
 #include "util/Math.h"
 #include "util/XMLIncludes.h"
 #include "network/Synchronisable.h"
-//#include "util/tinyxml/tinyxml.h"
 #include "core/BaseObject.h"
 #include "core/Tickable.h"
Index: code/trunk/src/orxonox/objects/weapon/AmmunitionDump.cc
===================================================================
--- code/trunk/src/orxonox/objects/weapon/AmmunitionDump.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/AmmunitionDump.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "AmmunitionDump.h"
 
 #include "orxonox/Orxonox.h"
@@ -32,6 +33,4 @@
 #include "util/tinyxml/tinyxml.h"
 #include "core/CoreIncludes.h"
-
-#include "AmmunitionDump.h"
 
 
Index: code/trunk/src/orxonox/objects/weapon/AmmunitionDump.h
===================================================================
--- code/trunk/src/orxonox/objects/weapon/AmmunitionDump.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/AmmunitionDump.h	(revision 1039)
@@ -30,9 +30,9 @@
 #define _AmmunitionDump_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
 #include <OgrePrerequisites.h>
-
-#include "../../OrxonoxPrereqs.h"
 
 #include "network/Synchronisable.h"
Index: code/trunk/src/orxonox/objects/weapon/BarrelGun.cc
===================================================================
--- code/trunk/src/orxonox/objects/weapon/BarrelGun.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/BarrelGun.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "BarrelGun.h"
 
 #include <OgreStringConverter.h>
@@ -39,6 +40,4 @@
 #include "BaseWeapon.h"
 #include "core/CoreIncludes.h"
-
-#include "BarrelGun.h"
 
 
Index: code/trunk/src/orxonox/objects/weapon/BarrelGun.h
===================================================================
--- code/trunk/src/orxonox/objects/weapon/BarrelGun.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/BarrelGun.h	(revision 1039)
@@ -30,7 +30,7 @@
 #define _BarrelGun_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
-
-#include "../../OrxonoxPrereqs.h"
 
 #include "BaseWeapon.h"
Index: code/trunk/src/orxonox/objects/weapon/BaseWeapon.cc
===================================================================
--- code/trunk/src/orxonox/objects/weapon/BaseWeapon.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/BaseWeapon.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "BaseWeapon.h"
 
 #include <OgreStringConverter.h>
@@ -39,6 +40,4 @@
 #include "AmmunitionDump.h"
 #include "core/CoreIncludes.h"
-
-#include "BaseWeapon.h"
 
 
Index: code/trunk/src/orxonox/objects/weapon/BaseWeapon.h
===================================================================
--- code/trunk/src/orxonox/objects/weapon/BaseWeapon.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/BaseWeapon.h	(revision 1039)
@@ -30,7 +30,7 @@
 #define _BaseWeapon_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
-
-#include "../../OrxonoxPrereqs.h"
 
 #include "../Model.h"
Index: code/trunk/src/orxonox/objects/weapon/Bullet.cc
===================================================================
--- code/trunk/src/orxonox/objects/weapon/Bullet.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/Bullet.cc	(revision 1039)
@@ -27,7 +27,8 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Bullet.h"
+
 #include "core/CoreIncludes.h"
 
-#include "Bullet.h"
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/weapon/Bullet.h
===================================================================
--- code/trunk/src/orxonox/objects/weapon/Bullet.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/Bullet.h	(revision 1039)
@@ -30,7 +30,7 @@
 #define _Bullet_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <OgrePrerequisites.h>
-
-#include "../../OrxonoxPrereqs.h"
 
 #include "../Model.h"
Index: code/trunk/src/orxonox/objects/weapon/BulletManager.cc
===================================================================
--- code/trunk/src/orxonox/objects/weapon/BulletManager.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/BulletManager.cc	(revision 1039)
@@ -27,6 +27,6 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "BulletManager.h"
 
-#include "BulletManager.h"
 #include "Bullet.h"
 #include "core/CoreIncludes.h"
Index: code/trunk/src/orxonox/objects/weapon/BulletManager.h
===================================================================
--- code/trunk/src/orxonox/objects/weapon/BulletManager.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/BulletManager.h	(revision 1039)
@@ -30,9 +30,9 @@
 #define _BulletManager_H__
 
+#include "OrxonoxPrereqs.h"
+
 #include <string>
 
 #include <OgrePrerequisites.h>
-
-#include "../../OrxonoxPrereqs.h"
 
 #include "network/Synchronisable.h"
Index: code/trunk/src/orxonox/objects/weapon/WeaponStation.cc
===================================================================
--- code/trunk/src/orxonox/objects/weapon/WeaponStation.cc	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/WeaponStation.cc	(revision 1039)
@@ -27,7 +27,7 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "WeaponStation.h"
 
 #include "BaseWeapon.h"
-#include "WeaponStation.h"
 
 
Index: code/trunk/src/orxonox/objects/weapon/WeaponStation.h
===================================================================
--- code/trunk/src/orxonox/objects/weapon/WeaponStation.h	(revision 1038)
+++ code/trunk/src/orxonox/objects/weapon/WeaponStation.h	(revision 1039)
@@ -32,5 +32,5 @@
 #include <OgrePrerequisites.h>
 
-#include "../../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
 
 
Index: code/trunk/src/orxonox/particle/ParticleInterface.cc
===================================================================
--- code/trunk/src/orxonox/particle/ParticleInterface.cc	(revision 1038)
+++ code/trunk/src/orxonox/particle/ParticleInterface.cc	(revision 1039)
@@ -32,6 +32,6 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "ParticleInterface.h"
 
-#include "ParticleInterface.h"
 // #include <OgreParticleSystem.h>
 // #include <Ogre.h>
Index: code/trunk/src/orxonox/particle/ParticleInterface.h
===================================================================
--- code/trunk/src/orxonox/particle/ParticleInterface.h	(revision 1038)
+++ code/trunk/src/orxonox/particle/ParticleInterface.h	(revision 1039)
@@ -1,4 +1,33 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _ParticleInterface_H__
 #define _ParticleInterface_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
@@ -12,6 +41,4 @@
 #include <OgreParticleEmitter.h>
 #include <OgreSceneManager.h>
-
-#include "../OrxonoxPrereqs.h"
 
 #include "util/Math.h"
Index: code/trunk/src/orxonox/tools/BillboardSet.cc
===================================================================
--- code/trunk/src/orxonox/tools/BillboardSet.cc	(revision 1038)
+++ code/trunk/src/orxonox/tools/BillboardSet.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "BillboardSet.h"
 
 #include <sstream>
@@ -34,6 +35,4 @@
 #include "GraphicsEngine.h"
 #include "util/Math.h"
-
-#include "BillboardSet.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/BillboardSet.h
===================================================================
--- code/trunk/src/orxonox/tools/BillboardSet.h	(revision 1038)
+++ code/trunk/src/orxonox/tools/BillboardSet.h	(revision 1039)
@@ -1,10 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _BillboardSet_H__
 #define _BillboardSet_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
 
 #include <OgreBillboardSet.h>
-
-#include "../OrxonoxPrereqs.h"
 #include "util/Math.h"
 
Index: code/trunk/src/orxonox/tools/Light.cc
===================================================================
--- code/trunk/src/orxonox/tools/Light.cc	(revision 1038)
+++ code/trunk/src/orxonox/tools/Light.cc	(revision 1039)
@@ -1,3 +1,31 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "OrxonoxStableHeaders.h"
+#include "Light.h"
 
 #include <sstream>
@@ -6,6 +34,4 @@
 
 #include "GraphicsEngine.h"
-
-#include "Light.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/Light.h
===================================================================
--- code/trunk/src/orxonox/tools/Light.h	(revision 1038)
+++ code/trunk/src/orxonox/tools/Light.h	(revision 1039)
@@ -1,10 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Light_H__
 #define _Light_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
 
 #include <OgreLight.h>
-
-#include "../OrxonoxPrereqs.h"
 
 #include "util/Math.h"
Index: code/trunk/src/orxonox/tools/Mesh.cc
===================================================================
--- code/trunk/src/orxonox/tools/Mesh.cc	(revision 1038)
+++ code/trunk/src/orxonox/tools/Mesh.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Mesh.h"
 
 #include <sstream>
@@ -33,6 +34,4 @@
 
 #include "GraphicsEngine.h"
-
-#include "Mesh.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/Mesh.h
===================================================================
--- code/trunk/src/orxonox/tools/Mesh.h	(revision 1038)
+++ code/trunk/src/orxonox/tools/Mesh.h	(revision 1039)
@@ -1,10 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Mesh_H__
 #define _Mesh_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
 
 #include <OgreEntity.h>
-
-#include "../OrxonoxPrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/Timer.cc
===================================================================
--- code/trunk/src/orxonox/tools/Timer.cc	(revision 1038)
+++ code/trunk/src/orxonox/tools/Timer.cc	(revision 1039)
@@ -27,7 +27,7 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Timer.h"
 
 #include "core/CoreIncludes.h"
-#include "Timer.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/Timer.h
===================================================================
--- code/trunk/src/orxonox/tools/Timer.h	(revision 1038)
+++ code/trunk/src/orxonox/tools/Timer.h	(revision 1039)
@@ -58,5 +58,6 @@
 #define _Timer_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
+
 #include "core/Tickable.h"
 
